#
# spec file for package python3-stsci.distutils
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-stsci.distutils
Version:        0.3.7
Release:        3.41
Summary:        Distutils utilities used by some of STScI's packages
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Source0:        https://files.pythonhosted.org/packages/source/s/stsci.distutils/stsci.distutils-%{version}.tar.gz
Url:            http://www.stsci.edu/institute/software_hardware/pyraf/stsci_python
BuildRequires:  fdupes
BuildRequires:  python3-2to3
BuildRequires:  python3-devel 
BuildRequires:  python3-d2to1 >= 0.2.9
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains utilities used to package some of the STScI's (Space
Telescope Science Institute) Python projects.

%prep
%setup -q -n stsci.distutils-%{version}
2to3 -w -n .

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python3_sitelib}

%files
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt
%{python3_sitelib}/stsci/
%{python3_sitelib}/stsci.distutils-%{version}-py*.egg-info/
%{python3_sitelib}/stsci.distutils-%{version}-py*-nspkg.pth

%changelog
* Mon Jun 13 2016 toddrme2178@gmail.com
- Remove unneeded Sphinx dependencies.
- Run 2to3, which is needed by some files.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Sep 11 2014 toddrme2178@gmail.com
- Update to 0.3.7 (2013-12-23)
  * Avoid using Popen.stdout directly in the version.py SVN
    revision auto-update script to avoid possible
    ResourceWarnings on Python >= 3.2.
    See https://github.com/spacetelescope/PyFITS/issues/45
- Update to 0.3.6 (2013-11-21)
  * Fixed a syntax error in Python 3 that was introduced in
    0.3.5. This could occur very early in the setup such
    that it bailed before even 2to3 could run on the rest of
    the package.
- Update to 0.3.5 (2013-11-18)
  * Fixed an obscure issue that could occur when trying to
    install with easy_install on Python 2 systems that have
    lib2to3 installed but have never used it.
- Update to 0.3.4 (2013-07-31)
  * Updated the check for __loader__ added in v0.3.3 to
    only perform that check on Python >= 3.3, since the
    issue doesn't apply to older Python versions.
- Update to 0.3.3 (2013-07-25)
  * Updated the import-time SVN revision update mechanism
    in the version.py module generated by the
    version_setup_hook to avoid running when not in a dev
    version of the package. This saves time on importing
    released packages when installed on users' systems.
  * Added a workaround to a bug on Python 3.3 that could
    cause stsci.distutils to crash during installation.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add Requires to BuildRequires
* Mon Jun 17 2013 speilicke@suse.com
- Huge cleanup
* Fri May 10 2013 matwey.kornilov@gmail.com
- Initial python3 version
